### Method

# CM Pusher set_kind_from_string

since: 0.0.1

#### Declaration [src]

    void
    cm_pusher_set_kind_from_string (
      CmPusher* self,
      const char* kind
    )

#### Description [src]

Set the kind of the pusher from a string like `http`.

Available since: 0.0.1

#### Parameters

`kind`

  Type: `const char*`

  The kind of the pusher as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.